#include "lib.h"

//Эта функция считывает текстовые данные до тега прерывания строки с заданного потока
string readLine(ifstream* pStream)
{
	string s = "", word = "";
	while (word[0] != '<') //будем считывать до тех пор, пока не дойдем до тега "<br/>"
	{
		if (pStream->eof()) return s; //если дошли до конца файла, возвращаем уже считанный текст
		s += word; //присоединяем к считаному ранее тексту последнее считанное слово
		if (s.size())s += " "; //если последнее считанное слово не пустое, перед ним ставим пробел.
		*pStream >> word; //считываем слудующее слово
	}
	return s; //возвращаем результат
}

string readLine() //считывает текстовые данные с консоли
{
	string s = ""; //строка, в которую будем считывать
	while (s.size() == 0)getline(cin, s); //считываем, пока длина считаной информации не станет больше нуля
	return s; //возвращаем строку со считанными данными
}

string int_to_text(unsigned x)
{
	if (x == 0) return "0";
	string s;
	char* digits = "0123456789"; //массив цифр
	while (x)
	{
		s = digits[x % 10] + s;
		x /= 10;
	}
	return s;
}

